For the complete documentation index, see llms.txt. This page is also available as Markdown.

Base set concept

Retrieve taxonomy concept node presentation structure by the base-set ID.

post

Retrieve taxonomy concept node presentation structure by the base-set ID.

Authorizations
AuthorizationstringRequired

Please enter token

Header parameters
x-api-versionstringOptional
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Body
conceptIdstring · nullableOptional
Responses
200

OK

application/json
namestring · nullableOptional
uniqueIdstring · nullableOptional
namespacestring · nullableOptional
prefixstring · nullableOptional
dataTypestring · nullableOptional
typeQNamestring · nullableOptional
periodTypestring · nullableOptional
isAbstractbooleanOptional
isEnumerationbooleanOptional
isTuplebooleanOptional
parentNodeUniqueIdstring · nullableOptional
hasChildrenbooleanRead-onlyOptional
post/taxonomy/entrypoints/presentation/base-set-concept
POST /taxonomy/entrypoints/presentation/base-set-concept HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 20

{
  "conceptId": "text"
}
{
  "name": "text",
  "uniqueId": "text",
  "namespace": "text",
  "prefix": "text",
  "dataType": "text",
  "typeQName": "text",
  "periodType": "text",
  "isAbstract": true,
  "isEnumeration": true,
  "isTuple": true,
  "enumerations": [
    {
      "name": "text",
      "labels": [
        {
          "lang": "text",
          "role": "text",
          "xLinkLabel": "text",
          "labelText": "text"
        }
      ]
    }
  ],
  "parentNodeUniqueId": "text",
  "labels": [
    {
      "label": "text",
      "language": "text",
      "labelRole": "text",
      "conceptId": "text"
    }
  ],
  "children": [
    {
      "name": "text",
      "uniqueId": "text",
      "namespace": "text",
      "prefix": "text",
      "dataType": "text",
      "typeQName": "text",
      "periodType": "text",
      "isAbstract": true,
      "isEnumeration": true,
      "isTuple": true,
      "enumerations": [
        {
          "name": "text",
          "labels": [
            {
              "lang": "text",
              "role": "text",
              "xLinkLabel": "text",
              "labelText": "text"
            }
          ]
        }
      ],
      "parentNodeUniqueId": "text",
      "labels": [
        {
          "label": "text",
          "language": "text",
          "labelRole": "text",
          "conceptId": "text"
        }
      ],
      "children": [
        {
          "name": "text",
          "uniqueId": "text",
          "namespace": "text",
          "prefix": "text",
          "dataType": "text",
          "typeQName": "text",
          "periodType": "text",
          "isAbstract": true,
          "isEnumeration": true,
          "isTuple": true,
          "enumerations": [
            {
              "name": "text",
              "labels": [
                {
                  "lang": "text",
                  "role": "text",
                  "xLinkLabel": "text",
                  "labelText": "text"
                }
              ]
            }
          ],
          "parentNodeUniqueId": "text",
          "labels": [
            {
              "label": "text",
              "language": "text",
              "labelRole": "text",
              "conceptId": "text"
            }
          ],
          "children": [
            "[Circular Reference]"
          ],
          "childrenReferences": [
            {
              "referenceId": "text",
              "labels": [
                {
                  "label": "text",
                  "language": "text",
                  "labelRole": "text",
                  "conceptId": "text"
                }
              ],
              "hasChildren": true
            }
          ],
          "dimensionMembers": [
            {
              "dimension": "text",
              "member": "text",
              "isTypedMember": true,
              "contextElement": "text",
              "dimensionLabel": "text",
              "memberLabel": "text",
              "dimensionLabelCollection": [
                {
                  "label": "text",
                  "language": "text",
                  "labelRole": "text",
                  "conceptId": "text"
                }
              ],
              "memberLabelCollection": [
                {
                  "label": "text",
                  "language": "text",
                  "labelRole": "text",
                  "conceptId": "text"
                }
              ]
            }
          ],
          "hasChildren": true
        }
      ],
      "childrenReferences": [
        {
          "referenceId": "text",
          "labels": [
            {
              "label": "text",
              "language": "text",
              "labelRole": "text",
              "conceptId": "text"
            }
          ],
          "hasChildren": true
        }
      ],
      "dimensionMembers": [
        {
          "dimension": "text",
          "member": "text",
          "isTypedMember": true,
          "contextElement": "text",
          "dimensionLabel": "text",
          "memberLabel": "text",
          "dimensionLabelCollection": [
            {
              "label": "text",
              "language": "text",
              "labelRole": "text",
              "conceptId": "text"
            }
          ],
          "memberLabelCollection": [
            {
              "label": "text",
              "language": "text",
              "labelRole": "text",
              "conceptId": "text"
            }
          ]
        }
      ],
      "hasChildren": true
    }
  ],
  "childrenReferences": [
    {
      "referenceId": "text",
      "labels": [
        {
          "label": "text",
          "language": "text",
          "labelRole": "text",
          "conceptId": "text"
        }
      ],
      "hasChildren": true
    }
  ],
  "dimensionMembers": [
    {
      "dimension": "text",
      "member": "text",
      "isTypedMember": true,
      "contextElement": "text",
      "dimensionLabel": "text",
      "memberLabel": "text",
      "dimensionLabelCollection": [
        {
          "label": "text",
          "language": "text",
          "labelRole": "text",
          "conceptId": "text"
        }
      ],
      "memberLabelCollection": [
        {
          "label": "text",
          "language": "text",
          "labelRole": "text",
          "conceptId": "text"
        }
      ]
    }
  ],
  "hasChildren": true
}

Was this helpful?